kind: pipeline
type: docker
name: default

steps:
- name: run
  image: python:3.9
  commands:
    - pip install -r requirements.txt
    - cd web  # Change to the correct directory
    - python app.py | tee output.log
  when:
    timeout: 15s 

- name: check-success
  image: alpine:latest
  commands:
    - grep "Debug mode: on" output.log

- name: cleanup
  image: alpine:latest
  commands:
    - echo "Cleaning up any created data..."
    - rm -rf /tmp/*
  depends_on:
    - check-success